Open CASCADE Technology: OpenGl_RaytraceFilter Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
OpenGl_RaytraceFilter Class Reference

Graphical ray-tracing filter. Filters out all raytracable structures. More...

`#include <OpenGl_Workspace.hxx>`

Inheritance diagram for OpenGl_RaytraceFilter:
[legend]

## Public Member Functions
| OpenGl_RaytraceFilter ()
| Default constructor. More...
const Handle< OpenGl_RenderFilter > & | PrevRenderFilter ()
| Returns the previously set filter. More...
void | SetPrevRenderFilter (const Handle< OpenGl_RenderFilter > &theFilter)
| Remembers the previously set filter. More...
virtual Standard_Boolean | CanRender (const OpenGl_Element *theElement)
| Checks whether the element can be rendered or not. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Graphical ray-tracing filter. Filters out all raytracable structures.

## Constructor & Destructor Documentation

OpenGl_RaytraceFilter::OpenGl_RaytraceFilter | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

virtual Standard_Boolean OpenGl_RaytraceFilter::CanRender | ( | const OpenGl_Element * | theElement | ) |
| virtual

Checks whether the element can be rendered or not.

Parameters

  theElement | [in] the element to check.

Returns
  True if element can be rendered.

Implements OpenGl_RenderFilter.

const Handle< OpenGl_RenderFilter >& OpenGl_RaytraceFilter::PrevRenderFilter | ( |  | ) |
| inline

Returns the previously set filter.

void OpenGl_RaytraceFilter::SetPrevRenderFilter | ( | const Handle< OpenGl_RenderFilter > & | theFilter | ) |
| inline

Remembers the previously set filter.

The documentation for this class was generated from the following file:

- OpenGl_Workspace.hxx